diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index 158df70..4fecbb5 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -440,14 +440,12 @@ shpkg_build () {
if verbose 1 make -j "${SHPKG_NCPU}"; then
verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" ok
else
- verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" ko
exit 1
- fi ; )
+ fi ; ) || exit 1
elif [ -f "${SHPKG_SRC_DIR}/${SHPKG_REPO_DIR}/CMakeLists.txt" ]; then
if verbose 1 cmake -j "${SHPKG_NCPU}" --build "${SHPKG_REPO_OBJ_DIR}"; then
verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" ok
else
- verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" ko
exit 1
fi
fi
@@ -511,10 +509,10 @@ shpkg_configure () {
fi
if [ -x "${SHPKG_REPO_SRC_DIR}/configure" ]; then
( verbose 1 cd "${SHPKG_REPO_SRC_DIR}" &&
- verbose 1 ./configure --prefix "${SHPKG_PREFIX}"; )
+ verbose 1 ./configure --prefix "${SHPKG_PREFIX}" || exit 1; ) || exit 1
elif [ -x "${SHPKG_REPO_SRC_DIR}/configure.sh" ]; then
( verbose 1 cd "${SHPKG_REPO_SRC_DIR}" &&
- verbose 1 ./configure.sh --prefix "${SHPKG_PREFIX}"; )
+ verbose 1 ./configure.sh --prefix "${SHPKG_PREFIX}" || exit 1; ) || exit 1
elif [ -f "${SHPKG_REPO_SRC_DIR}/CMakeLists.txt" ]; then
verbose 1 cmake -S "${SHPKG_REPO_SRC_DIR}" -B "${SHPKG_OBJ_DIR}/${SHPKG_REPO_DIR}" -D CMAKE_INSTALL_PREFIX:PATH="${SHPKG_PREFIX}" -D BUILD_SHARED_LIBS=ON
fi